## NMSettingWimax NMSettingWimax |

## Functions

NMSetting * | nm_setting_wimax_new ()
const char * | nm_setting_wimax_get_network_name ()
const char * | nm_setting_wimax_get_mac_address ()

## Types and Values

#define | NM_SETTING_WIMAX_SETTING_NAME
#define | NM_SETTING_WIMAX_NETWORK_NAME
#define | NM_SETTING_WIMAX_MAC_ADDRESS

## Description

## Functions

### nm_setting_wimax_new ()

    NMSetting *
    nm_setting_wimax_new (void);

`nm_setting_wimax_new` is deprecated and should not be used in newly-written code.

### nm_setting_wimax_get_network_name ()

    const char *
    nm_setting_wimax_get_network_name (NMSettingWimax *setting);

`nm_setting_wimax_get_network_name` is deprecated and should not be used in newly-written code.

### nm_setting_wimax_get_mac_address ()

    const char *
    nm_setting_wimax_get_mac_address (NMSettingWimax *setting);

`nm_setting_wimax_get_mac_address` is deprecated and should not be used in newly-written code.

## Types and Values

### NM_SETTING_WIMAX_SETTING_NAME

    #define NM_SETTING_WIMAX_SETTING_NAME "wimax"

### NM_SETTING_WIMAX_NETWORK_NAME

    #define NM_SETTING_WIMAX_NETWORK_NAME "network-name"

### NM_SETTING_WIMAX_MAC_ADDRESS

    #define NM_SETTING_WIMAX_MAC_ADDRESS  "mac-address"